//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

#include "fckey.h"

extern BYTE SOF_Flag;
BYTE StringIndex, TypingDelay;

void main()
{
	M8C_EnableGInt;
	InitializeKey();
	// Connect to the host
	USBFS_1_Start(0,USB_5V_OPERATION);
	
	// Wait to be enumerated
	while (!USBFS_1_bGetConfiguration());

	USBFS_1_INT_REG |= USBFS_1_INT_SOF_MASK;
	StringIndex = 0;
	
	while(1) {
		if (SOF_Flag) {
			SOF_Flag = 0;
			ReadKey();
			SetHIDUsage();
			USBFS_1_LoadInEP(2, &hidReport[0], 8, USB_TOGGLE);
		}
	}
}
